Bug 255298 - www/trafficserver: Update to 9.0.1
Summary: www/trafficserver: Update to 9.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks: 254124
  Show dependency treegraph
 
Reported: 2021-04-21 08:36 UTC by Hung-Yi Chen
Modified: 2021-05-22 10:09 UTC (History)
2 users (show)

See Also:


Attachments
trafficserver 9.0.1 patch (6.40 KB, patch)
2021-04-21 08:36 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2021-04-21 08:36:34 UTC
Created attachment 224324 [details]
trafficserver 9.0.1 patch

* Update to 9.0.1.
* Make it be compilable on FreeBSD 13.
Comment 1 Daniel Engberg freebsd_committer 2021-04-21 08:47:57 UTC
Please add a reference to https://github.com/apache/trafficserver/issues/7656 in Makefile so it's easy to track and if you're doing to submit a new patch you can also change PORTVERSION to DISTVERSION as per section 5.2.2 (and Table 5.2. Package Naming Examples) in Porters Handbook.

Thanks!
Daniel
Comment 2 Li-Wen Hsu freebsd_committer 2021-04-21 11:01:37 UTC
I need to remove libexec/trafficserver/maxmind_acl.so from pkg-plist, is this file built and installed by a non-default option?

Test building fine on 13 and 12, amd64 and i386, but unlucky in 11:
https://gist.github.com/lwhsu/f044b46989a5d089ac4c433b3c7d2e44
Does it use new c++ feature? (Note this port already uses compiler:c++17-lang)
Comment 3 Daniel Engberg freebsd_committer 2021-04-21 11:07:39 UTC
Logfile seems incomplete?
Comment 4 Li-Wen Hsu freebsd_committer 2021-04-21 12:51:49 UTC
(In reply to daniel.engberg.lists from comment #3)
 This file has been truncated, but you can view the full file:
https://gist.github.com/lwhsu/f044b46989a5d089ac4c433b3c7d2e44/raw/00d91569c2e2b700fad20527bce0d5a333ccb1cf/trafficserver-9.0.1.log
Comment 5 Daniel Engberg freebsd_committer 2021-04-21 18:35:23 UTC
Hmm... 
I ran into some weird linker issue with irssi earlier but I'm not sure if it'll help in this case. Switching to ldd fixed compilation in that case at least
https://svnweb.freebsd.org/ports/head/irc/irssi/Makefile?revision=566598&view=markup#l29
Comment 6 Daniel Engberg freebsd_committer 2021-04-21 21:36:28 UTC
Adding that makes the build finish for me in Poudriere on 11.4 (amd64)
Comment 7 Daniel Engberg freebsd_committer 2021-04-22 23:04:18 UTC
https://github.com/apache/trafficserver/pull/7730
Upstream fix
Comment 8 Li-Wen Hsu freebsd_committer 2021-05-22 09:41:30 UTC
(In reply to Daniel Engberg from comment #5)
After some tests, I found that this one doesn't work:

-LDFLAGS_FreeBSD_11=        -fuse-ld=lld

So I used the form from x11/kitty:

#LDFLAGS_FreeBSD_11=       -fuse-ld=lld
.if exists(/usr/bin/ld.lld) && ${/usr/bin/ld:L:tA} != /usr/bin/ld.lld
# --build-id isn't supported by old GNU ld.bfd in base
LDFLAGS+=  -fuse-ld=lld
.endif
Comment 9 Daniel Engberg freebsd_committer 2021-05-22 09:48:20 UTC
The framework wont pick up variables that don't match LDFLAGS (see L33) however my intention was to point to you to lld. Anyhow, cool that you got it working.
Comment 10 commit-hook freebsd_committer 2021-05-22 10:08:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b44d77e3838dd4c31b329ea7d5a68ea3b80e81b4

commit b44d77e3838dd4c31b329ea7d5a68ea3b80e81b4
Author:     Hung-Yi Chen <gaod@hychen.org>
AuthorDate: 2021-05-22 09:50:36 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-05-22 10:05:53 +0000

    www/trafficserver: Update to 9.0.1

    PR:             255298

 www/trafficserver/Makefile  | 21 ++++++++++-----------
 www/trafficserver/distinfo  |  6 +++---
 www/trafficserver/pkg-plist | 43 ++++++++++++++++++++++++++-----------------
 3 files changed, 39 insertions(+), 31 deletions(-)